.cartGalleryFirstImageContainer {
  display: flex;
  justify-content: center;
  align-items: center;
  border : 0;
}

.cartGalleryFirstImageContainer img{
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

#cartControl {
	min-width : 4vw;
	width : 4vw;
	float : right;
	height : auto;
	position : absolute;
	z-index: 99;
	margin-left : 50%;
}


@media only screen and (max-width: 600px) {
	#cartControl {
		min-width : 15%;
		width : 15%;
		position : absolute;
		z-index: 99;
		margin-left : 1%;
	}	
	
	
}


.cartGalleryItem {
	text-align : center;	
}


.cartAdd {
	margin-left : auto;
	margin-right : auto;
}


.qtyField {
  width : 4em;	
}


#cartContentTable {
	width : 100%;
	border-collapse: collapse;
}


.cartItemDetail {
	text-align : center;
}

.cartItemTitle {
 color : black;
 font-size : 1.2em;
 apadding-left : 1em;
 font-weight: bold;
}




#cartContentTable tr {
	padding-top : 2em;
}

#cartContentTable td {
	 vertical-align : top;
	 font-size : 1.2em;
	 apadding-bottom : 2em;
	 apadding-top : 2em;
}

#cartContentTable .cartItemPrice {
	 font-size : 1.2em;
	 font-weight : bold;
}

#cartCheckoutButton {
	float : right;
	width : auto;
}


.paypal-button-container {
    border-radius: 5px;
    background-color: #FFFFFF;
    padding: 20px;
    max-width: 760px;
    width: 100%;
    margin: 0 auto;
}
.card_container {
    border-radius: 5px;
    background-color: #FFFFFF;
    padding: 20px;
    max-width: 760px;
    width: 100%;
    margin: 0 auto;
}
.card_field{
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
    height:40px;
    background:white;
    font-size:17px;
    color:#3a3a3a;
    font-family:helvetica, tahoma, calibri, sans-serif;
}
.card_field_50{
    width: 50%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
    height:40px;
    background:white;
    font-size:17px;
    color:#3a3a3a;
    font-family:helvetica, tahoma, calibri, sans-serif;
}
.card_field_75{
    width: 75%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
    height:40px;
    background:white;
    font-size:17px;
    color:#3a3a3a;
    font-family:helvetica, tahoma, calibri, sans-serif;
}
.row {
    display: -ms-flexbox; /* IE10 */
    display: flex;
    -ms-flex-wrap: wrap; /* IE10 */
    flex-wrap: wrap;
    margin: 0 -16px;
}
.col-25 {
    -ms-flex: 25%; /* IE10 */
    flex: 25%;
}
.col-50 {
    -ms-flex: 50%; /* IE10 */
    flex: 50%;
}

input[type=text],input[type=tel],input[type=email], select, textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
    height:40px;
    background:white;
    font-size:17px;
    color:#3a3a3a;
    font-family:helvetica, tahoma, calibri, sans-serif;
}


input[type=submit] {
    background-color: #4CAF50;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

select {
	width : 60%;
	height : 40px;
    border: 1px dotted black;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    aresize: vertical;
    background:white;
    font-size:17px;
    color:#3a3a3a;
    font-family:helvetica, tahoma, calibri, sans-serif;
    font-size : 0.8em;
}

.message_container {
    border-radius: 5px;
    background:#FFFFFF;
    font-size:13px;
    font-family:monospace;
    padding: 20px;
}
#loading {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: fixed;
    display: block;
    opacity: 0.7;
    background-color: #fff;
    z-index: 99;
    text-align: center;
}
#loading-image {
    position: absolute;
    z-index: 15;
    top: 50%;
    left: 50%;
    margin: -100px 0 0 -150px;
}
.spinner {
    position: fixed;
    top: 50%;
    left: 50%;
    margin-left: -50px; /* half width of the spinner gif */
    margin-top: -50px; /* half height of the spinner gif */
    text-align:center;
    z-index:1234;
    overflow: auto;
    width: 100px; /* width of the spinner gif */
    height: 102px; /* height of the spinner gif +2px to fix IE8 issue */
}
.button_container {
    display: flex;
    justify-content: center;
}
button:hover {
    background-color: powderblue;
}
button {
    width:229px;
    height:49px;
    background:lightblue;
    border:1px dotted black;
    font-size:17px;
    color:#3a3a3a;
    padding: 12px 20px;
    border-radius: 4px;
    cursor: pointer;
    margin: 0 auto;
}
.btn_small{
    width:130px;
    height:39px;
    background:lightblue;
    border:1px dotted black;
    font-size:14px;
    color:#3a3a3a;
}
.btn_small:hover {
    background-color: powderblue;
}

.payment-error h3 {
	color : red!important;
}

.deleteItem   {
	min-width: 40%;
	width : 100%;
}


.qty {
	amin-width: 40%;
	awidth : 100%;
}

.cartDeleteCell {

}



.cartVariationsDiv  {
	margin-top : 2vh;
  	display: flex;
  	align-items: flex-start;
  	justify-content: center;
}

.cartVariationsWrapper  {
	display : flex;
}

.materialTable {
	width : 30%;
	flex: 1;
	border-collapse: collapse;
}

.materialControls {
	width : 30%;
}

.materialTable {
	border : none;
	border-spacing : 0;
	padding : 0;
	margin : 0;
	border-collapse: collapse;
	overflow: hidden;
}

.materialTable td,tr {
	margin : 0;
	padding-left : 2em;
	padding-right : 0.5em;
	height : 0;
	border-collapse: collapse;
	vertical-align : top;
}

.noborder {
		border-bottom : 1px dotted white!important;
}

.sample {
	padding : 0;
	margin : 0;
	width : 10vw;
	height : 65px;
	cursor : pointer;
}

.sampleRadioTD {
	min-height : 65px;
	border : 1px solid black;
	text-shadow:
  -1px -1px 0 #fff, /* Top-left */
  1px -1px 0 #fff,  /* Top-right */
  -1px 1px 0 #fff,  /* Bottom-left */
  1px 1px 0 #fff;   /* Bottom-right */
  	cursor : pointer;
}

.inputNumber {
	min-width : 10vw;
}

.inputNumberDropdown {
	min-width : 20vw;
}

.materialLabels {
	font-weight : bold;
	text-align : center;
	white-space: nowrap; 
}

.unitTable {
	width : 50%;
	flex: 1;
	align-self: flex-start;
	margin-left : 2vw;
}

.unitLabels {
	font-weight : bold;
	width : 50%;
	text-align : left;
}

.unitControls {
	width : 50%;
}

.unitControls input {
	width : 45%;	
}

.itemPriceTotal {
	font-size : 1.5em;
	font-weight : bold;
	width : 100%;
	margin-right : auto;
	margin-left : auto;
}

.itemPriceTotalHeading {
	width : 50%;
	text-align : right;
	display : inline-block;

}

.itemPriceTotalValue {
	width : 50%;	
	text-align : left;
	display : inline-block;
}


.dropdown {
	text-align : center;
}

#dropdownMenuButton {
	margin-left : auto;
	margin-right : auto;
}

.dropdown-menu {
  max-height : 40vh;
  width : 80%;
  overflow-y : scroll;
  overflow-x : hidden;  
    left: 50% !important;
  transform: translateX(-50%) !important;
}

.dropdown-menu a {
	color : #aaa
}

.dropdown-menu a:hover {
	color : white;
}

.cartGridCell {
	border : 1px solid black;
	margin : 1em;
	height : 50vh;
	float : left;
	width : 30%;
	position : relative;
	padding : 1em;
	border-radius: 4px;
	cursor: pointer;
}


.cartGridContent {
	min-height : 20vh;
	width : 100%;
	text-align : center;
}

.shopNow {
	position : absolute;
	bottom : 10px;
	width : 90%;
	left : 5px;
	margin-left : 10px;
	margin-right : 10px;
}

@media only screen and (max-width: 600px) {
	.cartGridCell {
	border : 1px solid black;
	margin : 1em;
	height : auto;
	float : none;
	width : 90%;
}
	
}


.cartGridTitle {
	font-size : 1.6em;
	margin-left : 1em;
}

.cartGridButton {
	width : 100%;
	text-align : right;
	padding-right : 10px;
	padding-bottom : 10px;
}

#addConfirmation {
  display : none;
  width:70%;
  height:20%;
  position:fixed;
  top:25%;
  left:15%;
  z-index:100;
  background-color:white;
  border : 1px solid black;
  border-radius : 6px;
  text-align:center;
}

#confirmContinue {
	width : auto;
}